Download it now!
Bug 122706 - Writer: Help for Print doesn't open correct page in new Print Dialog from 6.3+
Summary: Writer: Help for Print doesn't open correct page in new Print Dialog from 6.3+
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL: https://help.libreoffice.org/6.2/en-U...
Whiteboard: target:6.4.0 target:6.5.0 target:6.4....
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures Print-Dialog
  Show dependency treegraph
 
Reported: 2019-01-14 14:59 UTC by Timur
Modified: 2019-12-16 07:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2019-01-14 14:59:10 UTC
Help for Print, F1 or button, doesn't open correct page in new Print Dialog from 6.3+, but opens general Writer help.
Since there's new dialog, help should also be updated.
Comment 1 Dieter 2019-01-14 19:14:36 UTC
I confirm it with

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 411f3a050ac2be598019d512f8ccfe041080c28f
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-01-14_03:17:11
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded
Comment 2 Commit Notification 2019-07-15 22:52:32 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/68d866ef1bc04daf8afbd031234d6f03a3c41a43%5E%21

tdf#122706 Update Print page to new dialog elements
Comment 3 Gabor Kelemen 2019-07-17 07:28:09 UTC
Commit below should fix this.
Comment 4 Dieter 2019-09-15 14:41:50 UTC
(In reply to Gabor Kelemen from comment #3)
> Commit below should fix this.

It works with F1 but not with "Help"-Button (Target is https://help.libreoffice.org/6.4/en-US/text/swriter/main0000.html?System=WIN&DbPAR=WRITER)

Tested with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: f0c832acb53326ccc9a8c1a47401fbc9e1081feb
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-09-11_05:46:53
Locale: en-GB (de_DE); UI-Language: en-US
Calc: threaded
Comment 5 Timur 2019-11-29 07:31:58 UTC
In 6.5+ still as Dieter noticed that Help button doesn't work.

File-Print opens general help instead of specific:
https://help.libreoffice.org/6.5/en-US/text/swriter/main0000.html
(there's https://help.libreoffice.org/6.5/en-US/text/shared/01/01130000.html)

I also add this:

Tools-Options-Writer-Print opens wrong help:
https://help.libreoffice.org/6.5/en-US/text/shared/optionen/java.html
(there's https://help.libreoffice.org/6.5/en-US/text/shared/01/04050000.html)
Comment 6 Gabor Kelemen 2019-12-06 13:38:48 UTC
Thanks for spotting, proposed patch is in: https://gerrit.libreoffice.org/84628
Comment 7 Commit Notification 2019-12-09 09:54:00 UTC
Kelemen Gábor committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/46a07f2042a812fc552e26736183c7d06fe6aa35

tdf#122706 Fix built-in HID on Print dialogs Help button

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-12-09 11:34:34 UTC
Kelemen Gábor committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/9b7e992b72c56e830e59af9fd512f257d75b0491

tdf#122706 Fix built-in HID on Print dialogs Help button

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-12-09 12:50:46 UTC
Kelemen Gábor committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/327ffd94ef79d29233aac38d8965bc6e8557e8f4

tdf#122706 Fix built-in HID on Print dialogs Help button

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Dieter 2019-12-15 12:34:35 UTC
(In reply to Timur from comment #5)
> In 6.5+ still as Dieter noticed that Help button doesn't work.
> 
> File-Print opens general help instead of specific:
> https://help.libreoffice.org/6.5/en-US/text/swriter/main0000.html
> (there's https://help.libreoffice.org/6.5/en-US/text/shared/01/01130000.html)

This works now in

Version: 6.5.0.0.alpha0+ (x64)
Build ID: e26d89371f0e4f41476c9a99be01d98dedb76776
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded


> I also add this:
> 
> Tools-Options-Writer-Print opens wrong help:
> https://help.libreoffice.org/6.5/en-US/text/shared/optionen/java.html
> (there's https://help.libreoffice.org/6.5/en-US/text/shared/01/04050000.html)

Doesn't work as almost all help-links in Options Dialog => Should be a new bug report.
Comment 11 Dieter 2019-12-16 07:11:54 UTC
> Doesn't work as almost all help-links in Options Dialog => Should be a new
> bug report.

Since we have now bug 129415, I change status to VERIFIED FIXED.